"""
Ukázka použití funkcí v želví grafice.
Program vykreslí obdélníky na náhodné pozice.
"""

import turtle
import random


def kresli_obdelnik(zelva, a, b, barvy):
    zelva.pendown()
    for i in range(4):
        zelva.pencolor(barvy[i])
        if i % 2 ==0:
            zelva.forward(a)
        else:
            zelva.forward(b)
        zelva.left(90)
    zelva.penup()


def main():
    turtle.setup(800, 600)
    turtle.bgcolor("black")#
    turtle.speed(0)
    t = turtle.Pen() #vytvoř želvu
    barvy = [ "red", "green", "blue", "yellow"]
    for i in range(10):
        x = random.randint(-100, 100)
        y = random.randint(-100, 100)
        t.setpos(x,y)
        kresli_obdelnik(t, 10, 20, barvy)
    turtle.done()


main()
