"""
Program pro procvičení pojmu funkce. Zároveň může sloužit pro procvičení
podmínek.
"""
def maximum_naivne(a,b):
    """Naivní implementace hledání maxima ze dvou čísel."""
    if a > b:
        return a
    else:
        return b

def maximum_2(a,b):
    """Kratší implementace hledání maxima ze dvou čísel"""
    if a > b:
        return a
    return b # zde je jasné, že a<=b, ušetřeno else


def maximum_3(a,b,c):
    """Maximum ze tří čísel."""
    max = a
    if max < b:
        max = b
    if max < c:
        max = c
    return max

def maximum(*argumenty):
    """Rozšíření funkce maximum pro libovolný počet prvků za použití tuple."""
    max = argumenty[0]
    for prvek in argumenty:
        if max < prvek :
            max = prvek
    return max


def main():
    x = 6
    y = 2
    z = 4
    print("Největší z čísel {0} a {1} je {2}".format(x,y,maximum_2(x,y)))
    print("Největší z čísel {0}, {1}, {2} je {3}".format(x,y,z,maximum_3(x,y,z)))
    print("Maximum je {0}",format(maximum("Jirka", "David", "Zuzana", "Petr")))
main()
