"""
Program ilustrující použití funkcí.
Zároveň zavádíme použití funkce main() a použití aserce.
"""

def soucet(n):
  """Funkce vrací součet čísel 1...n """
  assert isinstance(n,int), "Na vstupu musí být kladné CELÉ číslo"
  assert n>0, "Na vstupu musí být KLADNÉ celé číslo"
  suma = 0
  for i in range(1,n+1):
    suma = suma + i
  return suma

def main():
    """
    Hlavní funkce programu.
    Umístíme sem hlavní logiku aplikace
    """
    vstup = int(input("Zadej kladné celé číslo "))
    print("Součet čísel 1 ... {0} je {1}".format(vstup, soucet(vstup)))
    print("Součet čísel 1 ... 12.8 je {1}".format(12.8, soucet(12.8)))

main()
