"""
Program simulující losování Sportky, tahá se šest čísel z 49.
"""
import random
import time

def losuj(kolik):
    """Realizace losování Sportky.
    Vstupem je počet tažených čísel.
    Výstupem je seznam vylosovaných hodnot.
    """
    tazeno = [] # prázdný seznam pro tažená čísla
    while len(tazeno) < kolik :
        cislo = random.randint(1,49)
        if cislo not in tazeno : # testuj zda číslo není v seznamu
            tazeno.append(cislo) # pokud ne, tak přidej
    return tazeno

def main():

    tazeno = losuj(6)
    print("Byla tažena čísla: {0}".format(tazeno))

    
main()
