"""
Motivační úloha pro rozdíl mezi agregací a kompozicí.
"""
class ruka:
    def __init__(self):
        self.__zlomena = False
    @property
    def zlomena(self):
        """Vlastnost zda je ruka zlomena"""
        if self.__zlomena == True:
            return "zlomená"
        return "v pořádku"
    def zlom_se(self):
        self.__zlomena = True
class hlava:
    pass
class noha:
    pass
class trup:
    pass

class clovek_kompozit:
    def __init__(self, jmeno):
        self.__jmeno = jmeno
        self.__ruce = {"leva":ruka(),"prava":ruka()}
        self.__nohy = {"leva": noha(), "prava":noha()}
        self.__hlava = hlava()
        self.__trup = trup()
    def zlom_si_ruku(self,kterou):
        assert kterou in self.__ruce, "Neplatná ruka."
        self.__ruce[kterou].zlom_se()
    def stav_rukou(self):
        print("{0.jmeno} stav rukou:".format(self))
        for klic,ruka in self.__ruce.items():
            print("{0} stav {1}".format(klic,ruka.zlomena))
    @property
    def jmeno(self):
        """Vlastnost jména"""
        return self.__jmeno

class clovek_agregace:
    def __init__(self,jmeno, leva_ruka, prava_ruka,leva_noha, prava_noha,hlava, trup):
        self.__jmeno = jmeno
        self.__ruce = {"leva":leva_ruka,"prava":prava_ruka}
        self.__nohy = {"leva": leva_noha, "prava":prava_noha}
        self.__hlava = hlava
        self.__trup = trup
    def zlom_si_ruku(self,kterou):
        assert kterou in self.__ruce, "Neplatná ruka."
        self.__ruce[kterou].zlom_se()
    def stav_rukou(self):
        print("{0.jmeno} stav rukou:".format(self))
        for klic,ruka in self.__ruce.items():
            print("{0} stav {1}".format(klic,ruka.zlomena))
    @property
    def jmeno(self):
        """Vlastnost jména"""
        return self.__jmeno



pepa = clovek_kompozit("Pepa")
pepa.zlom_si_ruku(kterou="leva")
pepa.stav_rukou()

leva_ruka = ruka()
prava_ruka = ruka()

jirka = clovek_agregace("Jirka",leva_ruka, prava_ruka, noha(),noha(),hlava(), trup())
martin = clovek_agregace("Martin",leva_ruka, prava_ruka, noha(),noha(),hlava(), trup())
# Jirka si zlomí ruka a má ji zlomenou i Martin
# Další rys agragace,  existenci existenci agregovaných prvků bez  nosné třídy
# si radši nepředstavujeme.
jirka.zlom_si_ruku(kterou="leva")
martin.stav_rukou()
